FoldWithClause
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.gcubedocumentlibrary.streams.dsl
Class FoldWithClause<FROM,TO>

    java.lang.Object
      org.gcube.contentmanagement.gcubedocumentlibrary.streams.dsl.Clause<FROM,TO>
          org.gcube.contentmanagement.gcubedocumentlibrary.streams.dsl.FoldWithClause<FROM,TO>

    public class FoldWithClause<FROM,TO>

extends Clause<FROM,TO>

The `with` clause of `group`-based sentences.``

Author:
  Fabio Simeoni (University of Strathclyde)

Constructor Summary
`FoldWithClause(Env<FROM,TO> e)` Creates an instance of the clause in the evaluation environment of a given sentence.

Method Summary
`
`<E extends java.lang.RuntimeException> java.util.Iterator<java.util.List<TO>>`
` | `with(IFaultPolicy<E> h)` Configures an `IFaultPolicy` for the stream in the evaluation environment.
`java.util.Iterator<java.util.List<TO>>` | `withDefaults()` Configures an a `Streams.IGNORE_POLICY` for the stream in the evaluation environment.
`
`<E extends java.lang.Exception>`
` | `withRemote(IFaultPolicy<E> h)` Configures a `IFaultPolicy` for the stream in the evaluation environment.
`` | `withRemoteDefaults()` Configures a `Streams.RETHROW_POLICY` for the stream in the evaluation environment.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FoldWithClause

    public FoldWithClause(Env<FROM,TO> e)

  Creates an instance of the clause in the evaluation environment of a given sentence.

  Parameters:
    `e` - the environment.

Method Detail

### with

    public <E extends java.lang.RuntimeException> java.util.Iterator<java.util.List<TO>> with(IFaultPolicy<E> h)

  Configures an `IFaultPolicy` for the stream in the evaluation environment.

  Type Parameters:
    `E` - the `Exception` that the `FaultPolicy` can throw.
  Parameters:
    `h` - the `FaultPolicy`.
  Returns:
    a configured `Iterator`.

### withRemote

    public <E extends java.lang.Exception>  withRemote(IFaultPolicy<E> h)

  Configures a `IFaultPolicy` for the stream in the evaluation environment.

  Type Parameters:
    `E` - the `Exception` that the `FaultPolicy` can throw.
  Parameters:
    `h` - the `FaultPolicy`.
  Returns:
    a configured `RemoteIterator`.

### withDefaults

    public java.util.Iterator<java.util.List<TO>> withDefaults()

  Configures an a `Streams.IGNORE_POLICY` for the stream in the evaluation environment.

  Returns:
    a configured `Iterator`.

### withRemoteDefaults

    public  withRemoteDefaults()

  Configures a `Streams.RETHROW_POLICY` for the stream in the evaluation environment.

  Returns:
    a configured `RemoteIterator`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD